Create a new test result
curl --request POST \
--url https://b.anny.co/api/v1/test-results \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "<string>",
"attributes": {
"result": "<string>",
"batch-number": "<string>",
"test-type": "<string>",
"conducted_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"certificate_url": true,
"has_secret": true
},
"relationships": {
"test": {
"data": {
"id": "<string>",
"type": "<string>"
}
},
"tester": {
"data": {
"id": "<string>",
"type": "<string>"
}
},
"booking": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
},
"links": {
"self": "<string>"
}
}
}
'import requests
url = "https://b.anny.co/api/v1/test-results"
payload = { "data": {
"id": "<string>",
"attributes": {
"result": "<string>",
"batch-number": "<string>",
"test-type": "<string>",
"conducted_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"certificate_url": True,
"has_secret": True
},
"relationships": {
"test": { "data": {
"id": "<string>",
"type": "<string>"
} },
"tester": { "data": {
"id": "<string>",
"type": "<string>"
} },
"booking": { "data": {
"id": "<string>",
"type": "<string>"
} }
},
"links": { "self": "<string>" }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '<string>',
attributes: {
result: '<string>',
'batch-number': '<string>',
'test-type': '<string>',
conducted_at: '2023-11-07T05:31:56Z',
created_at: '2023-11-07T05:31:56Z',
updated_at: '2023-11-07T05:31:56Z'
},
meta: {certificate_url: true, has_secret: true},
relationships: {
test: {data: {id: '<string>', type: '<string>'}},
tester: {data: {id: '<string>', type: '<string>'}},
booking: {data: {id: '<string>', type: '<string>'}}
},
links: {self: '<string>'}
}
})
};
fetch('https://b.anny.co/api/v1/test-results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "test-results",
"id": "b3a680ad-6001-4593-b192-4e52ee31cc66",
"attributes": {
"result": "Negativ",
"batch_number": "123",
"test_type": null,
"conducted_at": "2022-01-04T17:09:47+00:00",
"created_at": "2022-01-04T13:29:35+00:00",
"updated_at": "2022-01-04T17:09:47+00:00",
"custom_entry_map": {
"68bd3189-cc94-452c-a007-e97f1fe7382d": {
"value": "10,5",
"formatted_value": "10,5",
"label": "Ct-Wert"
}
}
},
"relationships": {
"test": {
"data": {
"type": "tests",
"id": "bbb2ffd6-bbec-4754-96b9-fc2d2825abb6"
}
},
"tester": {
"data": {
"type": "users",
"id": "9"
}
}
},
"links": {
"self": "https://b.staging.anny.co/api/v1/test-results/b3a680ad-6001-4593-b192-4e52ee31cc66"
},
"meta": {
"certificate_url": "https://b.staging.anny.co/downloads/test-certificate/b3a680ad-6001-4593-b192-4e52ee31cc66?locale=en&show_validity=0",
"has_secret": true,
"cwa_possible_covid_test_kits": []
}
},
"included": [
{
"type": "tests",
"id": "bbb2ffd6-bbec-4754-96b9-fc2d2825abb6",
"attributes": {
"name": "SARS-CoV-2-RT-PCR-Test",
"result_options": [
"Positiv",
"Negativ"
],
"auto_result": null,
"auto_result_delay": 30,
"certificate_body": "<p><strong>Wichtige Hinweise bei positivem Testergebnis:</strong></p><ul><li><p><u>Sie sind verpflichtet, sich bei (positivem Testergebnis) unverzüglich in häusliche Isolation zu begeben</u> (»Absonderung«). Ebenso sollen die Mitglieder Ihres Hausstandes sich unverzüglich absondern. Verlassen Sie Ihre Wohnung oder Ihr Haus nur in medizinischen oder sonstigen Notfällen.</p></li><li><p>Nehmen Sie Kontakt zum zuständigen Gesundheitsamt auf. Das Gesundheitsamt wird eine Isolierung mit einer Reihe von Verhaltensregeln und Hygienemaßnahmen anordnen.</p></li><li><p>Informieren Sie Ihren Arbeitgeber, dass bei Ihnen ein positives Testergebnis vorliegt.</p></li><li><p>Beachten Sie die »Quarantäneregeln«! Halten Sie die wichtigsten Verhaltens- und Hygieneregeln ein, um Ihre Haushaltsangehörigen vor einer Ansteckung zu schützen: Abstand (halten Sie sich, wenn möglich, in einem separaten Zimmer auf), Hygiene, Tragen geeigneter Schutzmasken, regelmäßiges Lüften.</p></li><li><p>Informieren Sie Ihre Kontaktpersonen der vergangenen 14 Tage über Ihre mögliche Infektion. Schreiben Sie Ihre Kontaktpersonen auf! Bei Auftreten von Beschwerden lassen Sie sich umgehend ärztlich beraten.</p></li><li><p>Die häusliche Isolierung beendet ausschließlich das zuständige Gesundheitsamt nach festgelegten Kriterien.</p></li></ul>",
"certificate_footer": "<p>Wer dieses Dokument fälscht oder einen nicht erfolgten Test unrichtig bescheinigt, macht sich nach § 267 StGB der Urkundenfälschung strafbar. Jeder festgestellte Verstoß wird zur Anzeige gebracht.</p>",
"issuing_authority": null,
"doctor_name": null,
"valid_period": 10080,
"test_type_options": [
"§ 2 TestV Kontaktperson, Corona-Warn-App (CWA)",
"§ 3 TestV Ausbruchsgeschehen",
"§ 4 Absatz 1 Nummer 1 und 2 TestV",
"§ 4b Satz 1 TestV Bestätigungs-PCR (nach pos. Schnelltest)",
"§ 4b Satz 2 TestV Varianten-PCR"
],
"default_test_type": null,
"display_tester": true,
"validate_download": true,
"display_resource": true,
"show_validation_code": true,
"send_customer_notification": true,
"print_confirmation_label": false,
"print_customer_label": false,
"result_notifications": null,
"created_at": "2022-01-03T10:12:20+00:00"
}
},
{
"type": "users",
"id": "9",
"attributes": {
"name": "Lucian Holtwiesche",
"first_name": "Lucian",
"given_name": "Lucian",
"email": "lucian.holtwiesche@anny.co",
"mobile": null,
"locale": "de",
"timezone": "Europe/Berlin",
"created_at": "2020-04-14T22:25:46+00:00"
},
"relationships": {
"profile_image": {
"data": null
}
}
}
]
}Service Configuration
Create a new test result
deprecated
POST
/
api
/
v1
/
test-results
Create a new test result
⌘I